const path = require('path')
const webpack = require('webpack')
const HtmlWebpackPlugin = require('html-webpack-plugin')
const ExtractTextPlugin = require('extract-text-webpack-plugin')

module.exports = {
    cache: true,
    devtool: 'module-source-map',
    entry: {
        'core': './src/core',
        'css/typography': './src/css/typography',
        'css/code': './src/css/code',
        'css/grid': './src/css/grid',
        'css/tables': './src/css/tables',
        'css/forms': './src/css/forms',
        'css/buttons': './src/css/buttons',
    },
    externals: {

    },
    module: {
        loaders: [
            {
                test: /\.ts$/,
                loader: 'awesome-typescript'
            },
            {
                test: /\.less/,
                loader: 'style!css!csso!less'
            },
            {
                test: /\.(png|woff|woff2|eot|ttf|svg)$/,
                loader: 'url'
            }
        ]
    },
    resolve: {
        extensions: ['', '.ts', '.js', '.json']
    },
    devServer: {
        historyApiFallback: true,
        watchOptions: {aggregateTimeout: 300, poll: 1000},
    },
    node: {
        global: true,
        process: true,
        Buffer: false,
        crypto: 'empty',
        module: false,
        clearImmediate: false,
        setImmediate: false,
        clearTimeout: true,
        setTimeout: true,
    }
}
