const path = require('path')
const webpack = require('webpack')
const merge = require('webpack-merge')

const common = require('./webpack.common')

module.exports = merge(common, {
    output: {
        path: path.join(__dirname, '../dist'),
        filename: '[name].min.js',
        sourceMapFilename: '[name].min.map',
        library: ['angular-miracle-bootstrap', '[name]'],
        libraryTarget: 'umd',
    },
    plugins: [
        new webpack.optimize.UglifyJsPlugin({
            compress: {
                warnings: false
            }
        }),
    ],
})
